"""Process arguments."""
from .argument import Argument, ArgumentField, ArgumentLabelSuggestion
from .bool import BoolArgument
from .dataclass import DataclassArgument
from .disclose import DiscloseArgument
from .dt import DateArgument, DateTimeArgument
from .enum import EnumArgument
from .sequence import SequenceArgument
from .union import UnionArgument

__all__ = [
    "Argument",
    "ArgumentField",
    "ArgumentLabelSuggestion",
    "BoolArgument",
    "DataclassArgument",
    "DateArgument",
    "DateTimeArgument",
    "DiscloseArgument",
    "EnumArgument",
    "SequenceArgument",
    "UnionArgument",
]
